<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- parameters.qdoc -->
  <title>Parameters QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="qml-qbslanguageitems-parameter.html" />
  <link rel="next" href="qml-qbslanguageitems-probe.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="qml-qbslanguageitems-parameter.html">Parameter</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbslanguageitems-probe.html">Probe</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Parameters QML Type</h1>
<span class="subtitle"></span>
<!-- $$$Parameters-brief -->
<p>Defines default values for dependency parameters within Export items. <a href="#details">More...</a></p>
<!-- @@@Parameters -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsLanguageItems .</td></tr></table></div><ul>
<li><a href="qml-qbslanguageitems-parameters-members.html">List of all members, including inherited members</a></li>
</ul>
<!-- $$$Parameters-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The Parameters item defines default values for dependency parameters within <a href="qml-qbslanguageitems-export.html">Export</a> items.</p>
<p>Example:</p>
<pre class="cpp">

  DynamicLibrary {
     name: <span class="string">&quot;foo&quot;</span>
     <span class="operator">.</span><span class="operator">.</span><span class="operator">.</span>
     Export {
         <span class="operator">.</span><span class="operator">.</span><span class="operator">.</span>
         Parameters {
             cpp<span class="operator">.</span>link: <span class="keyword">false</span>
         }
     }
  }

</pre>
<p>Every dependency on <i>foo</i> has the parameter <a href="qml-qbsmodules-cpp.html#dependency-parameters-cpp">cpp.link</a> set to <code>false</code> by default.</p>
<p>This can be overridden explicitly:</p>
<pre class="cpp">

  Depends { name: <span class="string">&quot;foo&quot;</span>; cpp<span class="operator">.</span>link: <span class="keyword">true</span> }

</pre>
<p>The Parameters item contains a number of property bindings where each property must be a properly declared dependency parameter. For more information, see <a href="qml-qbslanguageitems-parameter.html">Parameter</a> and <a href="qml-qbslanguageitems-module.html#dependency-parameters">Module - Dependency Parameters</a>.</p>
<!-- @@@Parameters -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="qml-qbslanguageitems-parameter.html">Parameter</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbslanguageitems-probe.html">Probe</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
